Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Class ConversionNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.PropertyAccessException
                              org.springframework.beans.TypeMismatchException
                                  org.springframework.beans.ConversionNotSupportedException

All Implemented Interfaces:
  Serializable, ErrorCoded

    public class ConversionNotSupportedException

extends TypeMismatchException

Exception thrown when no suitable editor or converter can be found for a bean property.

Since:
  3.0
Author:
  Arjen Poutsma, Juergen Hoeller
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.beans.TypeMismatchException
`ERROR_CODE`

Constructor Summary
`ConversionNotSupportedException(Object value, Class requiredType, Throwable cause)` Create a new ConversionNotSupportedException.
`ConversionNotSupportedException(PropertyChangeEvent propertyChangeEvent, Class requiredType, Throwable cause)` Create a new ConversionNotSupportedException.

Method Summary

Methods inherited from class org.springframework.beans.TypeMismatchException
`getErrorCode, getRequiredType, getValue`

Methods inherited from class org.springframework.beans.PropertyAccessException
`getPropertyChangeEvent, getPropertyName`

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversionNotSupportedException

    public ConversionNotSupportedException(PropertyChangeEvent propertyChangeEvent,
                                           Class requiredType,
                                           Throwable cause)

  Create a new ConversionNotSupportedException.

  Parameters:
    `propertyChangeEvent` - the PropertyChangeEvent that resulted in the problem
    `requiredType` - the required target type (or `null` if not known)
    `cause` - the root cause (may be `null`)

### ConversionNotSupportedException

    public ConversionNotSupportedException(Object value,
                                           Class requiredType,
                                           Throwable cause)

  Create a new ConversionNotSupportedException.

  Parameters:
    `value` - the offending value that couldn't be converted (may be `null`)
    `requiredType` - the required target type (or `null` if not known)
    `cause` - the root cause (may be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD